/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.model.minfo;

import java.util.Calendar;
import java.util.Date;

import gnu.trove.TDoubleArrayList;


public class BedDiffEpochResult
extends BedDifferencesResult
{

    protected Date start;
    protected Date end;

    public BedDiffEpochResult () {
        super();
    }

    public BedDiffEpochResult (
        TDoubleArrayList kms,
        TDoubleArrayList differences,
        TDoubleArrayList heights1,
        TDoubleArrayList heights2,
        Date start,
        Date end
    ) {
        super(kms, differences, heights1, heights2);
        this.start = start;
        this.end = end;
    }

    public Date getStart() {
        return this.start;
    }

    public void setStart(Date value) {
        this.start = value;
    }

    public void setEnd(Date value) {
        this.end = value;
    }

    public Date getEnd() {
        return this.end;
    }

    private static final int extractYear(Date date) {
        if (date == null) {
            return 0;
        }
        Calendar c = Calendar.getInstance();
        c.setTime(date);
        return c.get(Calendar.YEAR);
    }

    @Override
    public String getDiffDescription() {
        int y1 = extractYear(start);
        int y2 = extractYear(end);
        return y1 + " - " + y2;
    }
}
